var moment = require('moment');

module.exports.array = function (object) {
    if (object instanceof Array) {
        return object;
    } else {
        return [object];
    }
};

module.exports.dateToStr = function (date) {
    var day   = date.getDate();
    var month = date.getMonth();
    var year  = 1900+date.getYear();

    return day + '/' + month + '/' + year;
};

module.exports.listToPipedString = function (list) {
    return (list || []).join('|');
}

module.exports.parseCalendarItem = function (obj) {
    var item = {};

    item.date    = moment(obj.date, "DD/MM/YYYY H:mm:ss");
    item.dayType = obj.dayType;
    item.strike  = obj.strike != 'N';
    item.weather = obj.weather;

    item.minTemp = obj.minTemperatureCelsius;
    item.maxTemp = obj.maxTemperatureCelsius;

    // Other fields directly copied
    var fields = [
        'seasonTg', 'seasonTU', 'dayTypeLT', 'dayTypePF', 'dayTypeCO', 'week',
        'month', 'trimester', 'quarter', 'semester', 'year', 'dayOfWeek'];
    for (i in fields) {
        var field = fields[i];
        item[field] = obj[field];
    }

    return item;
}

module.exports.parseGroupItem = function (obj) {
    var item = {};

    item.id          = parseInt(obj.groupId);
    item.description = obj.groupDescription.trim();

    return item;
}

module.exports.parseLineItem = function (obj) {
    var item = {};

    item.id    = parseInt(obj.line);
    item.label = obj.label;
    item.group = parseInt(obj.groupNumber);

    item.nameA = obj.nameA.trim();
    item.nameB = obj.nameB.trim();

    item.dateFirst = moment(obj.dateFirst.trim(), "DD/MM/YYYY");
    item.dateLast  = moment(obj.dateEnd.trim(), "DD/MM/YYYY");

    return item;
}